
Foreman - Bug #23874

substring prop is not passed correctly.

06/11/2018 06:24 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6841

  

Description

as seen on travis

 PASS  webpack/assets/javascripts/react_app/components/BreadcrumbBar/components/BreadcrumbSwitcher

Popover.test.js

  BreadcrumbSwitcherPopover

    ✓ render loading state (2ms)

    ✓ render resources list (4ms)

    ✓ render resources list with pagination (2ms)

    ✓ render resources list with a search query (2ms)

console.error node_modules/fbjs/lib/warning.js:33

    Warning: Failed prop type: The prop `substring` is marked as required in `SubstringWrapper`, b

ut its value is `undefined`.

        in SubstringWrapper

Related issues:

Related to Foreman - Feature #23364: Add search input to the breadcrumbs swit... Closed 04/23/2018

History

#1 - 06/11/2018 06:24 AM - Ohad Levy

- Related to Feature #23364: Add search input to the breadcrumbs switcher added

#2 - 01/19/2022 05:37 PM - Maria Agaphontzev

- Status changed from New to Closed

- Pull request https://github.com/theforeman/foreman/pull/6841 added

BreadcrumbSwitcherPopover was deleted in this pr
